//DESCRIPTION:PDF von allen geöffneten Dokumenten erstellen. Es wird vorab der Speicherort und das Export-Profil gewählt
//VERSION: 1.0
//AUTOR: SteigART

#target Indesign

if(app.documents.length == 0){
    alert("Kein Dokument geöffnet");
}else{
    //Speicherort definieren
    var filePath = FilePath();
    
    // PDF Profil definieren
    var pdfExports = PDFpresets();
    if(!pdfExports){
        alert("Es wurde kein PDF-Exportoption ausgewählt.\nExport wurde abgebrochen!");
    }

    // Schleife durch alle geöffenten Dokumente
    for (var i=0; i<app.documents.length; i++){
        var doc = app.documents[i];

        //Dokumente exportieren
        exportAllDoc(doc);
    }

    alert("Alle Dokumente sind als PDF exportiert worden.");
}

//Funktion: Export der Indesigndokumente
function exportAllDoc(doc){
    var FileName = doc.name.replace(/\.indd$/, "") + ".pdf";
    var myFile = new File(filePath + "/" + FileName);

    // PDF-Export-Optionen
    var myPDFExportPresets = app.pdfExportPresets.itemByName(pdfExports);

    //Dokument in PDF exportieren
    try{
        doc.exportFile(ExportFormat.PDF_TYPE, myFile, false, myPDFExportPresets);
    } catch (error) {
        alert("Fehler beim Exportieren von '" + doc.name + "'\n" +error.message );
        exit();
    }

    //Debugging:
    // alert("Der Name des Exportpresets: \n" +pdfExports);
    // alert("Der Name des Dokuments: \n" +FileName);
    // alert("Der Name des VErzeichnisses: \n" +filePath);
}

//Funktion: Speicherort auswählen
function FilePath(){
    //Speicherort wählen
    var myFolder = Folder.selectDialog("Speicherort wählen");
    if(myFolder == null){
        alert("Es wurde kein Speicherort ausgewählt.\nDer Export wurde abgebrochen.!")
        exit(); // Abbruch wenn auf Abbrechen geklickt wird
    }else{
        return myFolder;
    }
}

//Funktion: Alle verfügbaren PDF-Exportoptionen anzeigen und gewünschtes auswählen
function PDFpresets(){
// Liste aller PDF-Exportoptionen
var allPDFpresets = app.pdfExportPresets.everyItem().name;

//Dialogfenster erstellen
var dial = app.dialogs.add();
dial.name = "gewünschte PDF-Exportoption wählen";
var dialColum = dial.dialogColumns.add();
var dropdown = dialColum.dropdowns.add();
dropdown.stringList = allPDFpresets;

//Dialog aufrufen
var dialResult = dial.show();

//Dialog auswerten
if(dialResult){
    var selectPDFpresets = app.pdfExportPresets[dropdown.selectedIndex].name;
}else{
    alert("Es wurde keine PDF-Exportoption gewählt.\nDer Export wurde abgebrochen");
    exit();
}
return selectPDFpresets;
}